/********************************************************************************
 Author :Customer Applications Center (CAC)
         
 Date : March 2014

 File name : AD5141.h

 Description :

 Hardware plateform : ADuCM360 + AD5141	
********************************************************************************/

#ifndef AD5141_H
#define AD5141_H

void AD5141_WriteToDAC(unsigned long ulDACValue);	   	// Write to IDAC data register
unsigned long AD5141_ReadDAC(void);                   // Read to IDAC data register

void SET_SCLK(void); 																	//  Pull the SCLK to 1 
void CLR_SCLK(void); 																	//  Pull the SCLK to 0 
void SET_SYNC(void); 																	//  Pull the SYNC to 1 
void CLR_SYNC(void); 																	//  Pull the SYNC to 0
void SET_SDI(void);  																	//  Pull the SDI to 1 
void CLR_SDI(void);  																	//  Pull the SDI to 0 
void SET_LDAC(void); 																	//  Pull the LDAC to 1 
void CLR_LDAC(void); 																	//  Pull the LDAC to 0
void SET_RESET(void);																	//  Pull the RESET to 1 
void CLR_RESET(void);																	//  Pull the RESET to 0

#endif

